Retrieve wallets for a specified environment
GET
/
environments
/
{environmentId}
/
wallets
Get wallets by environment
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/wallets \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallets": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"name": "An example name",
"publicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"lowerPublicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"walletBookName": "An example name",
"walletAdditionalAddresses": [
{
"address": "<string>",
"publicKey": "<string>"
}
],
"signerWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
"lastSelectedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"turnkeyHDWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
"signInEnabled": true,
"entryPointVersion": "<string>",
"kernelVersion": "<string>",
"ecdsaProviderType": "<string>",
"deletedUserId": "95b11417-f18f-457f-8804-68e361f9164f",
"hardwareWallet": {},
"waasWallet": {
"accountAddress": "<string>",
"walletId": "95b11417-f18f-457f-8804-68e361f9164f",
"derivationPath": "<string>",
"keyShares": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"backupLocation": "<string>",
"passwordEncrypted": true,
"externalKeyShareId": "95b11417-f18f-457f-8804-68e361f9164f"
}
]
},
"delegatedAccessWalletApiKeys": [
{
"encryptionPublicKey": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"kid": "<string>",
"publicKeyPemB64": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
},
"scopes": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"count": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Query Parameters
Maximum number of wallets to return
Required range:
1 <= x <= 100Number of wallets to skip
Required range:
x >= 0Last modified on January 28, 2026
Was this page helpful?
⌘I
Get wallets by environment
